package com.gh.gamecenter.core.provider

import com.alibaba.android.arouter.facade.template.IProvider

interface IConfigProvider : IProvider {
    fun getTencentAppId(): String
    fun getWechatAppId(): String
    fun getWechatSecret(): String
    fun getUploadLimitSize(): Long
    fun getSize(): Int
    fun getQuality(): Int
    fun getRatio(): Int
    fun getGif(): String
    fun getJpeg(): String?
    fun getWebp(): String
    fun getGitThumb(): String
    fun getGifWaterMark(): String
    fun getQQ(): String
    fun getQQun(): String
    fun getQQunKey(): String
    fun getQuickLoginAppId(): String
    fun getQuickLoginAppKey(): String
    fun getWeiboAppKey(): String
    fun getNightModeSetting(): Boolean
    fun isShowPlugin(gameId: String):Boolean
}